Bug 189131 - Segmentation fault with kudzu
Segmentation fault with kudzu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-17 11:48 EDT by Elrond
Modified: 2014-03-16 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.41-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 18:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 186538 None None None Never

  None (edit)
Description Elrond 2006-04-17 11:48:10 EDT
Have a problem of segmentation fault when I boot Fedora Core 5 with the last
kernel (x86_64), 
/etc/rc5.d/S05kudzu line 23....

How to solve it ?
Comment 1 Bill Nottingham 2006-04-17 13:39:18 EDT
Can you get a backtrace in gdb?
Comment 2 Elrond 2006-04-18 15:26:03 EDT
How to do this ?
Comment 3 Bill Nottingham 2006-04-18 15:39:32 EDT
http://fedoraproject.org/wiki/StackTraces
Comment 4 Elrond 2006-04-19 18:28:32 EDT
That's a bug with my creative Sound Blaster Audigy 2 Platinium EX, but I have
sound, I found this when i was reformat my FC5
Comment 5 Elrond 2006-04-19 18:31:10 EDT
(gdb) run
Starting program: /sbin/kudzu
(no debugging symbols found)
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
0x0000003dbb774140 in strlen () from /lib64/libc.so.6
Comment 6 Bill Nottingham 2006-04-19 19:52:02 EDT
When you get to that point, please type 'bt', and get the full trace.
Comment 7 Elrond 2006-04-20 06:00:14 EDT
(gdb) run
Starting program: /sbin/kudzu
(no debugging symbols found)
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
0x0000003dbb774140 in strlen () from /lib64/libc.so.6
(gdb) bt
#0  0x0000003dbb774140 in strlen () from /lib64/libc.so.6
#1  0x0000003dbb773e96 in strdup () from /lib64/libc.so.6
#2  0x0000000000413c31 in xenNewDevice ()
#3  0x00000000004113e7 in ddcNewDevice ()
#4  0x0000000000408b3e in newDevice ()
#5  0x0000000000406089 in ?? ()
#6  0x0000003dbb71d084 in __libc_start_main () from /lib64/libc.so.6
#7  0x00000000004038d9 in ?? ()
#8  0x00007fffffbd1b78 in ?? ()
#9  0x0000000000000000 in ?? ()
(gdb)

Comment 8 Bill Nottingham 2006-04-20 11:43:29 EDT
Can you install the kudzu-debuginfo package available at:

http://download.fedora.redhat.com/pub/fedora/linux/core/5/x86_64/debug/kudzu-debuginfo-1.2.34.3-1.x86_64.rpm

and then repeat the steps? Either that stack trace is corrupted, or this is a
new bug.
Comment 9 Elrond 2006-04-20 13:21:56 EDT
(gdb) run
Starting program: /sbin/kudzu

Program received signal SIGSEGV, Segmentation fault.
0x0000003dbb774140 in strlen () from /lib64/libc.so.6
(gdb) bt
#0  0x0000003dbb774140 in strlen () from /lib64/libc.so.6
#1  0x0000003dbb773e96 in strdup () from /lib64/libc.so.6
#2  0x0000000000413c31 in vbe_get_vbe_info () at vbe.c:234
#3  0x00000000004113e7 in ddcProbe (probeClass=CLASS_UNSPEC, probeFlags=Variable
"probeFlags" is not available.
)
    at ddc.c:395
#4  0x0000000000408b3e in probeDevices (probeClass=CLASS_UNSPEC, probeBus=-9,
    probeFlags=1) at kudzu.c:806
#5  0x0000000000406089 in main (argc=1, argv=Variable "argv" is not available.
) at hwconf.c:938
#6  0x0000003dbb71d084 in __libc_start_main () from /lib64/libc.so.6
#7  0x00000000004038d9 in _start ()
#8  0x00007fffffafb058 in ?? ()
#9  0x0000000000000000 in ?? ()
(gdb)
Comment 10 Bill Nottingham 2006-08-24 18:48:35 EDT
Fixed in 1.2.41-1 by removing the offending code.

Note You need to log in before you can comment on or make changes to this bug.